import React from 'react'
import PropTypes from 'prop-types'
import Grid from './grid.jsx'


const Slide = ({
    gutter,
    gap = 16,
    results = [],
    card: Card
}) => (
    <Grid
        columns={results.length + 1}
        justify="none"
    >
        {results.map((resource, i) => (
            <Card
                key={i}
                resource={resource}
                style={{
                    marginTop: 32,
                    marginBottom: 32,
                    marginLeft: i === 0 ? gutter : 0
                }}
            />
        ))}
        <div
            style={{
                width: gutter - gap
            }}
        />
    </Grid>
)

Slide.propTypes = {
    gutter: PropTypes.number,
    results: PropTypes.array,
    card: PropTypes.func
}

export default Slide